.overlay {
  position: fixed;
  // cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
  background-color: rgba(0,0,0,.5);
  display: none;
  z-index: 9;
}

.sidebar{
  height:100%;
  width: 0;
  overflow-x: hidden;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  position: fixed;
  z-index: 10;
  background-color: #fff;
  overflow: auto;
  // box-shadow: 3px 0 2px 0 #4f4f4f;
  transition: 0.5s;
}

#theme-header {
  margin: 0 auto;
  height: auto;

  #header-content {
    z-index: 10;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    #portal-logo {
      background: url(images/unb_fga_logo.png) no-repeat center/100%;
      width: 38%;
      height: 75px;
      margin-left: 10%;
    }

    #sidebar-logo {
      display: none;
      padding: 3%;
      font-size: 30px;
      color: #3f3f3f;
    }

    @media screen and (max-width: 960px) {
      #sidebar-logo {
        display: inline-block;
      }

      #portal-logo {
        margin-left: 0px;
      }

      @media screen and (max-width: 660px) {
        #portal-logo {
          background: url(images/logo-unb.png) no-repeat center/100%;
          width: 10%;
          min-width: 50px;
          height: 66px;
          margin-left: 1%;
        }
      }
    }

    #top-search-wrapper {
      @media screen and (max-width: 660px) {
        display: none;
      }      

      margin-left: 2%;


      #top-search:after {
        @extend %search-icon;
        position: absolute;
        top: 7px;
        right: 12px;
        font-size: 14px;
        color: #949494;
      }

      #top-search {
        display: inline-flex;

        div {
          display: none;
          color: #000;
          font-size: 11px;
          padding-top: 5px;
          left: 0px;
        }

        input {
          width: 100%;
          padding: 7px 33px 7px 7px;
          border: 1px solid #A09890;
          border-radius: 3px;
          text-transform: lowercase;
          color: #A09890;
        }

        input:focus {
          + div {
            display: block;
          }
        }
      }
    }

    #profile-header-fga {
      margin-left: auto;
      margin-right: 5%;
      padding: 2%;

      #profile-header-actions {
        max-width: 125px;

        #profile-button {
          width: 100px;
          background-color: #009B37;
          height: 33px;
          border-radius: 6px;
          border-bottom: 4px solid #146543;
          cursor: pointer;
          text-align: center;

          #login-button span {
            padding-left: 0px;
            padding-right: 5px;
          }

          a {
            text-decoration: none;
            color: #FFFFFF;
            font-weight: 900;
            line-height: 33px;
          }

          &.pressed {
            background-color: #00814d;
            border-bottom: 2px solid #0d4a30;
            margin-top: 2px;

            a {
              font-size: 12px;
              line-height: 34px;
            }

            .fa {
              font-size: 15px;
            }
          }

          .fa {
            margin-right: 5px;
            font-size: 16px;
          }
        }

        #profile-menu-dropdown {
          display: flex;
          align-items: center;
          justify-content: flex-end;

          > img {
            border-radius: 100%;
            box-shadow: 0 3px 2px 0 #D2D2D2;
            max-width: 50px;
            height: 50px;
            overflow: hidden;

            @media screen and (max-width: 690px) {
              max-width: 40px;
              height: 40px;
            }
          }

          > img:hover,
          > span:hover {
            cursor: pointer;
          }

          .fa.fa-angle-down {
            padding-left: 5%;
            font-size: 2em;
          }
        }

        .signup-form {
          padding-top: 5px;
          text-align: center;

          a {
            text-decoration: none;
            font-size: 13px;
            color: #7b7b7b;

            &:hover {
              text-decoration: underline;
            }
          }
        }
      }

      #profile-dropdown {
        display: none;
        background: #00814d;
        float: right;
        border-radius: 5px;
        position: absolute;
        border: 4px solid #00814d;
        text-align: center;
        right: 6%;
        margin-top: 10px;

        &:before {
          bottom: 100%;
          left: 95%;
          border: solid transparent;
          content: " ";
          height: 0;
          width: 0;
          position: absolute;
          pointer-events: none;
          border-color: rgba(0, 155, 55, 0);
          border-bottom-color: #00814d;
          border-width: 10px;
          margin-left: -10px;
        }

        &.visible {
          display: block;
        }

        a {
          border-left: none;
        }

        #profile-logged-out {
          padding: 8px 10px;
          min-width: 240px;

          #header-login {
            > #login-inputs input[type="text"] {
              margin-bottom: 5px;
            }

            > #login-inputs input {
              width: 100%;
              background-color: white;
              display: block;
              border-radius: 4px;
              height: 30px;
              border: none;
              padding: 3px 10px;

              &::-webkit-input-placeholder,
              &:-moz-placeholder,
              &::-moz-placeholder,
              &:-ms-input-placeholder {
                text-align: center;
                text-transform: lowercase;
                color: #CECECE;
              }
            }

            #header-login-options {
              display: flex;
              margin-top: 12px;

              .header-login-options-col {
                width: 50%;

                #remember-me-checkbox {
                  transform: scale(1.5);
                }

                #remember-me-label {
                  color: white;
                  margin-top: 10px;
                }

                #forgot-password {
                  display: block;
                  margin-top: 10px;
                  text-decoration: none;
                  color: #eee;
                }

                #forgot-password:hover {
                  text-decoration: underline;
                }

                input[type=submit] {
                  padding: 20px;
                  margin: 0;
                  text-transform: UPPERCASE;
                  background-color: #005D34;
                  line-height: 2px;
                  color: white;
                  font-weight: 900;
                  border: none;
                  border-bottom: 5px solid #003A19;
                  width: 85%;

                  &:hover {
                    cursor: pointer;
                  }

                  &:focus {
                    outline: none;
                    background-color: #003A19;
                  }
                }

                &.left {
                  text-align: left;
                }

                &.right {
                  text-align: right;
                }
              }
            }
          }
        }

        #profile-logged-in {
          padding: 5px 5px 3px;
          min-width: 200px;

          #logged-options {
            list-style: none;
            padding-left: 0px;
            margin: 0;

            li {
              background: #009B37;
              padding-bottom: 0px;
              min-width: 190px;
              border-radius: 5px;
              margin: 0px 0px 2px 0px;
              height: 30px;

              a {
                color: white;
                text-decoration: none;
                line-height: 30px;
                display: block;

                &:hover {
                  color: #ddd;
                }
              }
            }
          }
        }

        #user-name {
          display: block;
          color: white;
          margin-bottom: 15px;
          font-size: 14px;
        }
      }
    }
  }
}

.active-item {
  border-left: .3em solid #00814d !important;
  transition: all .2s ease-in-out;
  background-color: #00814d07;
  font-weight: bold;

  div a, span{
    // this important is been used to overwrite color when class is applied
    color: #366351 !important;
  }
}

#side-bar {
  font-size: 1.2em;

  a {
    text-decoration: none;
    color: #707070;
    padding-bottom: auto;
    padding-top: auto;
  }

  li {
    list-style-type: none;
    border-left: .3em solid #bbb;

    ul {
      display: none;
      margin-top: 0;
      margin-bottom: 0;
      li {
        padding: 0.7em;
        border: none;
      }
    }

    div {
      padding: 1em 0em 1em 1em;
      display: flex;
      justify-content: space-between;
      align-items: center;
      white-space: nowrap;
    }

    span {
      padding: 0.75em 1.5em;
      float: right;
      color: #00000088;
      cursor: pointer;
    }
  }

  #side-bar-search {
    text-align: center;
    border-bottom: 1px solid #ddd;
  }
}
